Skip to main content

Update Applicant: Propertyware

PUThttps://api.propexo.com/v1/applicants/propertyware/:applicant_id
Method
updateApplicant

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

applicant_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    address_1string

    First line of the street address for the applicant. This maps to the addressLine1 property of the Applicant's primary address

    address_2string

    Second line of the street address for the applicant. This maps to the addressLine2 property of the Applicant's primary address.

    citystring

    City of the applicant's primary address. This maps to the city property of the Applicant's primary address.

    custom_data objectdeprecated

    Deprecated: Field is no longer applicable

    object
    date_of_birthstring<date-time>

    Date of birth of the applicant. This maps to the birthDate property of the Applicant object.

    email_1string<email>

    The primary email address for the applicant. This value maps to the email property of the Applicant object

    first_namestring

    The first name of the applicant. This value maps to the firstName property of the Applicant object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    last_namestring

    The last name of the applicant. This value maps to the lastName property of the Applicant object

    originating_lead_source_idstring

    The ID of the lead source. This maps to the originatingLeadSourceId property of the Application object.

    phone_1string

    Applicant's primary phone number. This maps to the phoneNumber property of the Applicant object.

    phone_1_typestring

    The type of the applicant's primary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'. This maps to the phoneNumberTypeId property of the Applicant object.

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string

    Applicant's secondary phone number. This maps to the phoneNumber property of the Applicant object.

    phone_2_typestring

    The type of the applicant's secondary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'. This maps to the phoneNumberTypeId property of the Applicant object.

    Show 4 enum values
    HOMEWORKMOBILEFAX
    statestring

    State of the resident's primary address. This maps to the stateCode property of the Applicant's primary address.

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_unit_idstring

    The external ID of the unit from the integration vendor

    zipstring

    Zip/Postal Code of the resident's primary address. This maps to the postalCode property of the Applicant's primary address.

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    address_1string | nullnullablerequired

    First line of the street address for the applicant. This maps to the addressLine1 property of the Applicant's primary address

    address_2string | nullnullablerequired

    Second line of the street address for the applicant. This maps to the addressLine2 property of the Applicant's primary address.

    citystring | nullnullablerequired

    City of the applicant's primary address. This maps to the city property of the Applicant's primary address.

    custom_data object | nullrequireddeprecated
    object
    date_of_birth(string | null)<date-time>nullablerequired

    Date of birth of the applicant. This maps to the birthDate property of the Applicant object.

    email_1(string | null)<email>nullablerequired

    The primary email address for the applicant. This value maps to the email property of the Applicant object

    first_namestring | nullnullablerequired

    The first name of the applicant. This value maps to the firstName property of the Applicant object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    last_namestring | nullnullablerequired

    The last name of the applicant. This value maps to the lastName property of the Applicant object

    originating_lead_source_idstring

    The ID of the lead source. This maps to the originatingLeadSourceId property of the Application object.

    phone_1string | nullnullablerequired

    Applicant's primary phone number. This maps to the phoneNumber property of the Applicant object.

    phone_1_typestring | nullnullablerequired

    The type of the applicant's primary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'. This maps to the phoneNumberTypeId property of the Applicant object.

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string

    Applicant's secondary phone number. This maps to the phoneNumber property of the Applicant object.

    phone_2_typestring

    The type of the applicant's secondary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'. This maps to the phoneNumberTypeId property of the Applicant object.

    Show 4 enum values
    HOMEWORKMOBILEFAX
    statestring | nullnullablerequired

    State of the resident's primary address. This maps to the stateCode property of the Applicant's primary address.

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    zipstring | nullnullablerequired

    Zip/Postal Code of the resident's primary address. This maps to the postalCode property of the Applicant's primary address.

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/applicants/propertyware/:applicant_id
curl -X PUT https://api.propexo.com/v1/applicants/propertyware/:applicant_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"x_property_id": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"address_1": "string",
"address_2": "string",
"city": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"email_1": "[email protected]",
"first_name": "string",
"integration_id": "string",
"last_name": "string",
"originating_lead_source_id": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"state": "string",
"x_property_id": "string",
"x_unit_id": "string",
"zip": "string"
}
}